Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java	(revision 3000)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/RenameFile.java	(revision 3001)
@@ -36,50 +36,53 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.window.Window;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
+
 // TODO: Auto-generated Javadoc
 /**
  * Execute a groovy script file in the same thread a the RCP @ author mdecorde.
  */
 public class RenameFile extends AbstractHandler {
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection instanceof IStructuredSelection) {
-			Object o = ((IStructuredSelection)selection).getFirstElement();
-
+			Object o = ((IStructuredSelection) selection).getFirstElement();
+			
 			if (o instanceof File) {
-				File file = (File)o;
+				File file = (File) o;
 				rename(file);
 			}
 		}
 		return null;
 	}
-
+	
 	public static void rename(File file) {
 		String newname = file.getName();
-		InputDialog dlg = new InputDialog(new Shell(),
-				TXMUIMessages.renameFile, TXMUIMessages.renameFile+newname, newname, null);
+		InputDialog dlg = new InputDialog(Display.getCurrent().getActiveShell(),
+				TXMUIMessages.renameFile, TXMUIMessages.renameFile + newname, newname, null);
 		if (dlg.open() == Window.OK) {
 			newname = dlg.getValue();
-			System.out.println(TXMUIMessages.renamingByColon+newname);
+			System.out.println(TXMUIMessages.renamingByColon + newname);
 			if (newname.equals(file.getName())) return; // nothing to do
 			if (newname == null || newname.trim().length() == 0) return; // error
 			
 			File nfile = new File(file.getParentFile(), newname);
 			if (!file.renameTo(nfile))
-				System.out.println(TXMUIMessages.failedToRename+file+TXMUIMessages.to+newname);
+				System.out.println(TXMUIMessages.failedToRename + file + TXMUIMessages.to + newname);
 			Explorer.refresh(nfile);
 			MacroExplorer.refresh(nfile);
 		}
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3000)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TokenizerSection.java	(revision 3001)
@@ -25,19 +25,31 @@
 import org.w3c.dom.NodeList;
 
 public class TokenizerSection extends ImportEditorSection {
-
+	
 	static final int SECTION_SIZE = 1;
+	
 	Text wordElementText;
+	
 	Button doTokenizeStepButton;
+	
+	Button doRetokenizeStepButton;
+	
 	Text textElisions;
+	
 	Text textPuncts;
+	
 	Text textPunctsStrong;
+	
 	Text textWhiteSpaces;
+	
 	Label titleLabel;
+	
 	TableViewer tokenizerParamsViewer;
+	
 	TableViewer tokenizerParamsViewer2;
+	
 	private HashMap<String, Boolean> moduleParams;
-
+	
 	public TokenizerSection(FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
 		super(toolkit2, form2, parent, style);
 		this.moduleParams = moduleParams;
@@ -47,26 +59,29 @@
 		this.section.setLayout(layout);
 		this.section.setLayoutData(getSectionGridData(SECTION_SIZE));
 		this.section.setEnabled(false);
-
+		
 		this.section.addExpansionListener(new ExpansionAdapter() {
+			
 			@Override
-			public void expansionStateChanged(ExpansionEvent e) {form.layout(true);}
+			public void expansionStateChanged(ExpansionEvent e) {
+				form.layout(true);
+			}
 		});
-
+		
 		Composite sectionClient = toolkit.createComposite(this.section);
 		TableWrapLayout slayout = new TableWrapLayout();
 		slayout.makeColumnsEqualWidth = false;
 		slayout.numColumns = 3;
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
-
+		
 		Label tmpLabel3 = toolkit.createLabel(sectionClient, "Word tag");
 		TableWrapData gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		tmpLabel3.setLayoutData(gdata);
 		tmpLabel3.setToolTipText("XML tag name that encodes words");
 		tmpLabel3.setVisible(moduleParams.get(ImportModuleCustomization.ADVANCEDTOKENIZER));
-
+		
 		wordElementText = toolkit.createText(sectionClient, "w", SWT.BORDER); //$NON-NLS-1$
 		gdata = getTextGridData();
 		wordElementText.setLayoutData(gdata);
@@ -78,70 +93,80 @@
 		gdata.colspan = 3;
 		doTokenizeStepButton.setLayoutData(gdata);
 		doTokenizeStepButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				updateFieldsEnableState();
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
+		doRetokenizeStepButton = toolkit.createButton(sectionClient, "Re-tokenize existing words", SWT.CHECK);
+		doRetokenizeStepButton.setSelection(true);
+		doRetokenizeStepButton.setVisible(moduleParams.get(ImportModuleCustomization.ADVANCEDTOKENIZER));
+		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
+		gdata.colspan = 3;
+		doRetokenizeStepButton.setLayoutData(gdata);
+		
+		
 		Label l0 = toolkit.createLabel(sectionClient, TXMUIMessages.separatorCharacters, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 3;
 		gdata.indent = 10;
 		l0.setLayoutData(gdata);
-
+		
 		Label l1 = toolkit.createLabel(sectionClient, TXMUIMessages.spaces, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
 		l1.setLayoutData(gdata);
-
+		
 		textWhiteSpaces = toolkit.createText(sectionClient, TokenizerClasses.whitespaces, SWT.BORDER);
 		gdata = getLongTextGridData();
 		textWhiteSpaces.setLayoutData(gdata);
-
+		
 		Label l2 = toolkit.createLabel(sectionClient, TXMUIMessages.punctuations, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 20;
 		l2.setLayoutData(gdata);
-
+		
 		textPuncts = toolkit.createText(sectionClient, TokenizerClasses.regPunct, SWT.BORDER);
 		gdata = getLongTextGridData();
 		textPuncts.setLayoutData(gdata);
-
+		
 		Label l4 = toolkit.createLabel(sectionClient, TXMUIMessages.elisionCharacters, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
 		l4.setLayoutData(gdata);
-
+		
 		textElisions = toolkit.createText(sectionClient, TokenizerClasses.regElision, SWT.BORDER);
 		gdata = getLongTextGridData();
 		textElisions.setLayoutData(gdata);
-
+		
 		Label l3 = toolkit.createLabel(sectionClient, TXMUIMessages.endOfSentenceCharacters, SWT.WRAP);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
 		l3.setLayoutData(gdata);
-
+		
 		textPunctsStrong = toolkit.createText(sectionClient, TokenizerClasses.punct_strong, SWT.BORDER);
 		gdata = getLongTextGridData();
 		textPunctsStrong.setLayoutData(gdata);
-
+		
 		Button defaultBtn = toolkit.createButton(sectionClient, TXMUIMessages._default_2, SWT.PUSH);
 		gdata = new TableWrapData(TableWrapData.LEFT, TableWrapData.FILL);
 		gdata.colspan = 2;
 		gdata.indent = 10;
 		defaultBtn.setLayoutData(gdata);
 		defaultBtn.addSelectionListener(new SelectionListener() {
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
-
+			public void widgetDefaultSelected(SelectionEvent e) {}
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				TokenizerClasses.reset();
@@ -151,174 +176,167 @@
 				textElisions.setText(TokenizerClasses.regElision);
 			}
 		});
-
-		/*setAddSetTestsButton = toolkit.createButton(sectionClient, Messages.CorpusPage_28, SWT.CHECK);
-		setAddSetTestsButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,4,1));
-		//		setAddSetTestsButton.setSelection(params.getTokenizerElement(params.getCorpusElement()))
-
-		Button addButton = toolkit.createButton(sectionClient, Messages.CorpusPage_29, SWT.PUSH);
-		addButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
-		addButton.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				if (params == null) return;
-				LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
-				values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
-				values.put("value", "");			 //$NON-NLS-1$ //$NON-NLS-2$
-				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_29, values);
-				if (dlg.open() == Window.OK) {
-					params.addTokenizerParameter(params.getCorpusElement(), values.get("name"), values.get("value")); //$NON-NLS-1$ //$NON-NLS-2$
-					updateTokenizerSection();
-				}
-			}
-		});
-
-		Button removeButton = toolkit.createButton(sectionClient, Messages.CorpusPage_31, SWT.PUSH);
-		removeButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
-		removeButton.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				if (params == null) return;
-				ISelection sel = tokenizerParamsViewer.getSelection();
-				IStructuredSelection ssel = (IStructuredSelection) sel;
-				Object obj = ssel.getFirstElement();
-				if (obj instanceof Element) {
-					Element query = (Element) obj;
-					params.getTokenizerElement(params.getCorpusElement()).removeChild(query);
-					updateTokenizerSection();
-				}
-			}
-		});
-
-		Button addButton2 = toolkit.createButton(sectionClient, Messages.CorpusPage_32, SWT.PUSH);
-		addButton2.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
-		addButton2.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				if (params == null) return;
-				LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
-				values.put("value", "\\A(.+)(.+)(.+)\\Z"); //$NON-NLS-1$ //$NON-NLS-2$
-				values.put("type", "w"); //$NON-NLS-1$ //$NON-NLS-2$
-				values.put("before", "1"); //$NON-NLS-1$ //$NON-NLS-2$
-				values.put("hit", "2"); //$NON-NLS-1$ //$NON-NLS-2$
-				values.put("after", "3"); //$NON-NLS-1$ //$NON-NLS-2$
-				MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_33, values);
-				if (dlg.open() == Window.OK) {
-					params.addTokenizerTest(params.getCorpusElement(), values.get("value"), values.get("type"), values.get("before"), values.get("hit"), values.get("after")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-					updateTokenizerSection();
-				}
-			}
-		});
-
-		Button removeButton2 = toolkit.createButton(sectionClient, Messages.CorpusPage_34, SWT.PUSH);
-		removeButton2.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
-		removeButton2.addSelectionListener(new SelectionListener() {
-			@Override
-			public void widgetDefaultSelected(SelectionEvent e) {
-			}
-
-			@Override
-			public void widgetSelected(SelectionEvent e) {
-				if (params == null) return;
-				ISelection sel = tokenizerParamsViewer2.getSelection();
-				IStructuredSelection ssel = (IStructuredSelection) sel;
-				Object obj = ssel.getFirstElement();
-				if (obj instanceof Element) {
-					Element test = (Element) obj;
-					params.getTokenizerElement(params.getCorpusElement()).removeChild(test);
-					updateTokenizerSection();
-				}
-			}
-		});
-
-		Table table = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
-		tokenizerParamsViewer = new TableViewer(table);
-		tokenizerParamsViewer.getTable().addKeyListener(new TableKeyListener(tokenizerParamsViewer));
-		GridData gd = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
-		gd.heightHint = 150;
-		tokenizerParamsViewer.getTable().setLayoutData(gd);
-		tokenizerParamsViewer.setContentProvider(new NodeListContentProvider());
-		tokenizerParamsViewer.getTable().setHeaderVisible(true);
-		tokenizerParamsViewer.getTable().setLinesVisible(true);
-
-		String[] cols = {"name", "value"}; //$NON-NLS-1$ //$NON-NLS-2$
-		for (String col : cols) {
-			TableViewerColumn columnViewer = new TableViewerColumn(tokenizerParamsViewer, SWT.NONE);
-			TableColumn column = columnViewer.getColumn();
-			column.setText(col);
-			column.setWidth(100);
-			columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
-		}
-
-		Table table2 = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
-		tokenizerParamsViewer2 = new TableViewer(table2);
-		tokenizerParamsViewer2.getTable().addKeyListener(new TableKeyListener(tokenizerParamsViewer2));
-		GridData gd2 = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
-		gd.heightHint = 150;
-		tokenizerParamsViewer2.getTable().setLayoutData(gd2);
-		tokenizerParamsViewer2.setContentProvider(new NodeListContentProvider());
-		tokenizerParamsViewer2.getTable().setHeaderVisible(true);
-		tokenizerParamsViewer2.getTable().setLinesVisible(true);
-
-		String[] cols2 = {"value", "type", "before", "hit", "after"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
-		for (String col : cols2) {
-			TableViewerColumn columnViewer = new TableViewerColumn(tokenizerParamsViewer2, SWT.NONE);
-			TableColumn column = columnViewer.getColumn();
-			column.setText(col);
-			column.setWidth(100);
-			columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
-		}
+		
+		/*
+		 * setAddSetTestsButton = toolkit.createButton(sectionClient, Messages.CorpusPage_28, SWT.CHECK);
+		 * setAddSetTestsButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,4,1));
+		 * // setAddSetTestsButton.setSelection(params.getTokenizerElement(params.getCorpusElement()))
+		 * Button addButton = toolkit.createButton(sectionClient, Messages.CorpusPage_29, SWT.PUSH);
+		 * addButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
+		 * addButton.addSelectionListener(new SelectionListener() {
+		 * @Override
+		 * public void widgetDefaultSelected(SelectionEvent e) {
+		 * }
+		 * @Override
+		 * public void widgetSelected(SelectionEvent e) {
+		 * if (params == null) return;
+		 * LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
+		 * values.put("name", ""); //$NON-NLS-1$ //$NON-NLS-2$
+		 * values.put("value", ""); //$NON-NLS-1$ //$NON-NLS-2$
+		 * MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_29, values);
+		 * if (dlg.open() == Window.OK) {
+		 * params.addTokenizerParameter(params.getCorpusElement(), values.get("name"), values.get("value")); //$NON-NLS-1$ //$NON-NLS-2$
+		 * updateTokenizerSection();
+		 * }
+		 * }
+		 * });
+		 * Button removeButton = toolkit.createButton(sectionClient, Messages.CorpusPage_31, SWT.PUSH);
+		 * removeButton.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
+		 * removeButton.addSelectionListener(new SelectionListener() {
+		 * @Override
+		 * public void widgetDefaultSelected(SelectionEvent e) {
+		 * }
+		 * @Override
+		 * public void widgetSelected(SelectionEvent e) {
+		 * if (params == null) return;
+		 * ISelection sel = tokenizerParamsViewer.getSelection();
+		 * IStructuredSelection ssel = (IStructuredSelection) sel;
+		 * Object obj = ssel.getFirstElement();
+		 * if (obj instanceof Element) {
+		 * Element query = (Element) obj;
+		 * params.getTokenizerElement(params.getCorpusElement()).removeChild(query);
+		 * updateTokenizerSection();
+		 * }
+		 * }
+		 * });
+		 * Button addButton2 = toolkit.createButton(sectionClient, Messages.CorpusPage_32, SWT.PUSH);
+		 * addButton2.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
+		 * addButton2.addSelectionListener(new SelectionListener() {
+		 * @Override
+		 * public void widgetDefaultSelected(SelectionEvent e) {
+		 * }
+		 * @Override
+		 * public void widgetSelected(SelectionEvent e) {
+		 * if (params == null) return;
+		 * LinkedHashMap<String, String> values = new LinkedHashMap<String, String>();
+		 * values.put("value", "\\A(.+)(.+)(.+)\\Z"); //$NON-NLS-1$ //$NON-NLS-2$
+		 * values.put("type", "w"); //$NON-NLS-1$ //$NON-NLS-2$
+		 * values.put("before", "1"); //$NON-NLS-1$ //$NON-NLS-2$
+		 * values.put("hit", "2"); //$NON-NLS-1$ //$NON-NLS-2$
+		 * values.put("after", "3"); //$NON-NLS-1$ //$NON-NLS-2$
+		 * MultipleValueDialog dlg = new MultipleValueDialog(form.getShell(), Messages.CorpusPage_33, values);
+		 * if (dlg.open() == Window.OK) {
+		 * params.addTokenizerTest(params.getCorpusElement(), values.get("value"), values.get("type"), values.get("before"), values.get("hit"), values.get("after")); //$NON-NLS-1$ //$NON-NLS-2$
+		 * //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+		 * updateTokenizerSection();
+		 * }
+		 * }
+		 * });
+		 * Button removeButton2 = toolkit.createButton(sectionClient, Messages.CorpusPage_34, SWT.PUSH);
+		 * removeButton2.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,1,1));
+		 * removeButton2.addSelectionListener(new SelectionListener() {
+		 * @Override
+		 * public void widgetDefaultSelected(SelectionEvent e) {
+		 * }
+		 * @Override
+		 * public void widgetSelected(SelectionEvent e) {
+		 * if (params == null) return;
+		 * ISelection sel = tokenizerParamsViewer2.getSelection();
+		 * IStructuredSelection ssel = (IStructuredSelection) sel;
+		 * Object obj = ssel.getFirstElement();
+		 * if (obj instanceof Element) {
+		 * Element test = (Element) obj;
+		 * params.getTokenizerElement(params.getCorpusElement()).removeChild(test);
+		 * updateTokenizerSection();
+		 * }
+		 * }
+		 * });
+		 * Table table = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
+		 * tokenizerParamsViewer = new TableViewer(table);
+		 * tokenizerParamsViewer.getTable().addKeyListener(new TableKeyListener(tokenizerParamsViewer));
+		 * GridData gd = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
+		 * gd.heightHint = 150;
+		 * tokenizerParamsViewer.getTable().setLayoutData(gd);
+		 * tokenizerParamsViewer.setContentProvider(new NodeListContentProvider());
+		 * tokenizerParamsViewer.getTable().setHeaderVisible(true);
+		 * tokenizerParamsViewer.getTable().setLinesVisible(true);
+		 * String[] cols = {"name", "value"}; //$NON-NLS-1$ //$NON-NLS-2$
+		 * for (String col : cols) {
+		 * TableViewerColumn columnViewer = new TableViewerColumn(tokenizerParamsViewer, SWT.NONE);
+		 * TableColumn column = columnViewer.getColumn();
+		 * column.setText(col);
+		 * column.setWidth(100);
+		 * columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
+		 * }
+		 * Table table2 = toolkit.createTable(sectionClient, SWT.FULL_SELECTION | SWT.MULTI | SWT.V_SCROLL | SWT.VIRTUAL);
+		 * tokenizerParamsViewer2 = new TableViewer(table2);
+		 * tokenizerParamsViewer2.getTable().addKeyListener(new TableKeyListener(tokenizerParamsViewer2));
+		 * GridData gd2 = new GridData(GridData.FILL, GridData.FILL, false, false,2,1);
+		 * gd.heightHint = 150;
+		 * tokenizerParamsViewer2.getTable().setLayoutData(gd2);
+		 * tokenizerParamsViewer2.setContentProvider(new NodeListContentProvider());
+		 * tokenizerParamsViewer2.getTable().setHeaderVisible(true);
+		 * tokenizerParamsViewer2.getTable().setLinesVisible(true);
+		 * String[] cols2 = {"value", "type", "before", "hit", "after"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+		 * for (String col : cols2) {
+		 * TableViewerColumn columnViewer = new TableViewerColumn(tokenizerParamsViewer2, SWT.NONE);
+		 * TableColumn column = columnViewer.getColumn();
+		 * column.setText(col);
+		 * column.setWidth(100);
+		 * columnViewer.setLabelProvider(new ElementColumnLabelProvider(col));
+		 * }
 		 */
-
+		
 	}
-
+	
 	protected void updateFieldsEnableState() {
 		boolean enabled = doTokenizeStepButton.getSelection();
+		doRetokenizeStepButton.setEnabled(enabled);
 		textWhiteSpaces.setEnabled(enabled);
 		textPuncts.setEnabled(enabled);
 		textElisions.setEnabled(enabled);
 		textPunctsStrong.setEnabled(enabled);
 	}
-
+	
 	@Override
 	public void update(Project project) {
 		if (this.section.isDisposed()) return;
 		if (project == null) return;
-
-
+		
+		
 		textWhiteSpaces.setText(project.getTokenizerParameter("whitespaces", TokenizerClasses.whitespaces));
 		textPuncts.setText(project.getTokenizerParameter("regPunct", TokenizerClasses.regPunct));
 		textPunctsStrong.setText(project.getTokenizerParameter("punct_strong", TokenizerClasses.punct_strong));
 		textElisions.setText(project.getTokenizerParameter("regElision", TokenizerClasses.regElision));
-
+		
 		String wtagElement = project.getTokenizerWordElement();
 		wordElementText.setText(wtagElement);
-
+		
 		boolean doTokenizeStep = project.getDoTokenizerStep();
 		doTokenizeStepButton.setSelection(doTokenizeStep);
+		boolean doRetokenizeStep = "true".equals(project.getTokenizerParameter("doRetokenizeStep", "false")); //$NON-NLS-1$
+		doRetokenizeStepButton.setSelection(doRetokenizeStep);
 		updateFieldsEnableState();
-
-//		HashMap<String, TTest> additionalTests = project.getTokenizerAdditionalTests();
-//		try {
-//			setAddSetTestsButton.setSelection(Boolean.parseBoolean(value.toString()));
-//		} catch (Exception e) { };
+		
+		// HashMap<String, TTest> additionalTests = project.getTokenizerAdditionalTests();
+		// try {
+		// setAddSetTestsButton.setSelection(Boolean.parseBoolean(value.toString()));
+		// } catch (Exception e) { };
 	}
-
+	
 	@Override
 	public boolean save(Project project) {
-
+		
 		if (textWhiteSpaces.getText().length() == 0 && textPuncts.getText().length() == 0) {
 			System.out.println("Error while saving tokenizer parameters: whitespace and punctuation regular expressions are both empty.");
 			return false;
@@ -328,20 +346,21 @@
 		project.addTokenizerParameter("punct_strong", textPunctsStrong.getText()); //$NON-NLS-1$
 		project.addTokenizerParameter("regElision", textElisions.getText()); //$NON-NLS-1$
 		project.addTokenizerParameter("word_tags", wordElementText.getText()); //$NON-NLS-1$
-		project.addTokenizerParameter("doTokenizeStep", ""+doTokenizeStepButton.getSelection()); //$NON-NLS-1$
+		project.addTokenizerParameter("doTokenizeStep", "" + doTokenizeStepButton.getSelection()); //$NON-NLS-1$
+		project.addTokenizerParameter("doRetokenizeStep", "" + doRetokenizeStepButton.getSelection()); //$NON-NLS-1$
 		project.addTokenizerParameter("onlyThoseTests", "false"); //$NON-NLS-1$
-		//project.setTokenizerAdditionalTests(additionalTokenizerTests); //$NON-NLS-1$
-
+		// project.setTokenizerAdditionalTests(additionalTokenizerTests); //$NON-NLS-1$
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean checkFields() {
 		return true;
 	}
-
+	
 	@Override
 	public int getSectionSize() {
 		return SECTION_SIZE;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3000)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3001)
@@ -148,7 +148,7 @@
 		params.put(LANG, true);
 		params.put(XSLT, true);
 		params.put(TOKENIZER, true);
-		params.put(ADVANCEDTOKENIZER, false);
+		params.put(ADVANCEDTOKENIZER, true);
 		params.put(EDITIONS_WORDSPERPAGE, true);
 		params.put(EDITIONS_PAGEELEMENT, true);
 		params.put(PATTRIBUTES, true);
